# Record TCefButton

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefButton = record`

## Description

A View representing a button. Depending on the specific type, the button could be implemented by a native control or custom rendered. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefButton.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_button_capi.h">CEF source file: /include/capi/views/cef_button_capi.h (cef_button_t))

## Overview

### Fields

| `base: TCefView;`
| `as_label_button: function(self: PCefButton): PCefLabelButton; stdcall;`
| `set_state: procedure(self: PCefButton; state: TCefButtonState); stdcall;`
| `get_state: function(self: PCefButton): TCefButtonState; stdcall;`
| `set_ink_drop_enabled: procedure(self: PCefButton; enabled: Integer); stdcall;`
| `set_tooltip_text: procedure(self: PCefButton; const tooltip_text: PCefString); stdcall;`
| `set_accessible_name: procedure(self: PCefButton; const name: PCefString); stdcall;`

## Description

### Fields

| `base: TCefView;`
This item has no description.

| `as_label_button: function(self: PCefButton): PCefLabelButton; stdcall;`
This item has no description.

| `set_state: procedure(self: PCefButton; state: TCefButtonState); stdcall;`
This item has no description.

| `get_state: function(self: PCefButton): TCefButtonState; stdcall;`
This item has no description.

| `set_ink_drop_enabled: procedure(self: PCefButton; enabled: Integer); stdcall;`
This item has no description.

| `set_tooltip_text: procedure(self: PCefButton; const tooltip_text: PCefString); stdcall;`
This item has no description.

| `set_accessible_name: procedure(self: PCefButton; const name: PCefString); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.